Subject: Re: [multimob] Comments on draft-deng-multimob-pmip6-requirement-01.txt

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 22 Oct 2008 15:15:51 -0700 (PDT)

Hi Thomas,
  Please see inline.

Regards,

Behcet

----- Original Message ----
From: Thomas C. Schmidt <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: Hui Deng <[email-masked]>; [email-masked]
Sent: Wednesday, October 22, 2008 4:35:33 PM
Subject: Re: [multimob] Comments on draft-deng-multimob-pmip6-requirement-01.txt

Hi Behcet,

I'm in charge to defend Hui as the figure is from my side.

It is not exactly clear why you state "Figure 2 depicts local routing
as something totally different" ??? -
what is expressed here: a content source local to the PMIP-domain - but 
not local to a particular MAP. 

[behcet] In PMIP6 there is no MAP. You mean MAG here?

And in consequence a (multicast) routing 
  within the PMIP domain without LMA-MAG tunneling. That's what the text 
says, as well.

[behcet] In PMIP6, the nodes between MAG and LMA do not matter because all traffic is tunneled. 
Local routing in Fig. 2 would refer to a packet sent from MN1 to MN2 being routed by MAG1 locally without tunneling it to LMA1. 
If the packet MN1 sends is a multicast packet, RFC 5213 does not describe how such a packet would be routed. Is this what you are trying to address?

This has been discussed prior to version 00 on the mailing list ... and 
seems a reasonable approach to me: what is "certainly not correct"?

Regards,

Thomas

Behcet Sarikaya wrote:
> Hello Hui,
>   Thanks for your hard work in coming up with this revised version. I 
> read it.
>   My comment is regarding Section 2. Local routing in PMIP6 as described 
> in Section 6.10.3 of RFC 5213 refers to the routing by the MAG locally 
> without tunneling to the LMA. In 
> draft-deng-multimob-pmip6-requirement-01 Figure 2 depicts local routing 
> as something totally different. The text you have seems to be OK but the 
> figure is certainly not correct.
> 
> Regards,
> 
> Behcet
> 
> ----- Original Message ----
> From: Hui Deng <[email-masked]>
> To: [email-masked]
> Sent: Sunday, October 19, 2008 11:17:13 AM
> Subject: [multimob] Fwd: I-D 
> Action:draft-deng-multimob-pmip6-requirement-01.txt
> 
> Hello, all
>  
> We have updated the draft based on the list discussion.
> Please help to review and comment.
>  
> thanks
>  
> -Hui
> 
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
>        Title           : Multicast Support Requirements for Proxy Mobile 
> IPv6
>        Author(s)       : H. Deng, et al.
>        Filename        : draft-deng-multimob-pmip6-requirement-01.txt
>        Pages           : 14
>        Date            : 2008-10-19
> 
> This document summarizes requirements for multicast listener support
> in Proxy Mobile IPv6 (PMIPv6) scenarios.  In correspondance to
> PMIPv6, multicast mobility management requirements do not request any
> active participation of the mobile node.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-deng-multimob-pmip6-requirement-01.txt
> 
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multimob

-- 

° Prof. Dr. Thomas C. Schmidt
° HAW Hamburg, Dept. Informatik
° University of Applied Sciences
° Berliner Tor 7, D 20099 Hamburg, Germany
° Fon: +49-40-42875-8452, Fax: -8409
° http://www.informatik.haw-hamburg.de/~schmidt

_______________________________________________
multimob mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/multimob

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Thu, 23 Oct 2008 10:16:10 +0200

Hi Behcet,

> [behcet] In PMIP6 there is no MAP. You mean MAG here?

[thomas] Yes, sorry for the misprint.
> [behcet] In PMIP6, the nodes between MAG and LMA do not matter because 

[thomas] except for the local routing option as described in section 
6.10.3 of RFC 5213. Here a local routing is foreseen between two unicast 
nodes on the same access link.

> Local routing in Fig. 2 would refer to a packet sent from MN1 to MN2 
> being routed by MAG1 locally without tunneling it to LMA1.
> If the packet MN1 sends is a multicast packet, RFC 5213 does not 
> describe how such a packet would be routed. Is this what you are trying 
> to address?
> 
[thomas] RFC5213 does not address multicast routing (that's why we are 
discussing it). The scenario described in fig 2 is *not* addressing 
mobile multicast senders, but a typical content distribution setting as 
for instance used in a provider-centric IPTV service. This means, a 
provider issues multicast streams from within his network domain, aiming 
at an efficient way to preserve (his own) network resources.

 From the minimal perspective of RFC5213 (unicast routing) there is no 
efficient way to do this. That's why we are trying to identify protocol 
extensions that smoothly cooperate with RFC 5213.

Best regards,

Thomas

--